CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B > Struct Template Reference

Provides alternate access to a feedback register. More...

`#include <strciphr.h>`

## Public Member Functions

| RegisterOutput (byte *output, const byte *input, CipherDir dir)
RegisterOutput & | operator() (WordType &registerWord)
| XOR feedback register with data.

## Public Attributes

byte * | m_output
const byte * | m_input
CipherDir | m_dir

## Detailed Description

template<typename WT, unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B>
struct CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >

Provides alternate access to a feedback register.

Template Parameters

  B | enumeration indicating endianness

RegisterOutput() provides alternate access to the feedback register. The enumeration B is BigEndian or LittleEndian. Repeatedly applying operator() results in advancing in the register.

Definition at line 505 of file strciphr.h.

## Constructor & Destructor Documentation

## RegisterOutput()

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B >

CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >::RegisterOutput | ( | byte * | output,
|  | const byte * | input,
|  | CipherDir | dir
| ) |  |

inline

Definition at line 507 of file strciphr.h.

## Member Function Documentation

## operator()()

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B >

RegisterOutput & CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >::operator() | ( | WordType & | registerWord | ) |

inline

XOR feedback register with data.

Parameters

  registerWord | data represented as a word type

Returns
  reference to the next feedback register word

Definition at line 513 of file strciphr.h.

## Member Data Documentation

## m_output

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B >

byte* CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >::m_output

Definition at line 558 of file strciphr.h.

## m_input

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B >

const byte* CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >::m_input

Definition at line 559 of file strciphr.h.

## m_dir

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B >

CipherDir CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >::m_dir

Definition at line 560 of file strciphr.h.

The documentation for this struct was generated from the following file:

- strciphr.h